local ____lualib = require("lualib_bundle")
local Map = ____lualib.Map
local __TS__New = ____lualib.__TS__New
local __TS__Class = ____lualib.__TS__Class
local ____exports = {}
local function test(self, _saveData)
end
do
    local saveDataWithPrimitives = {run = {foo = 123, bar = "bar", baz = true, nested = {foo = 123, bar = "bar", baz = true}}}
    test(nil, saveDataWithPrimitives)
end
do
    local saveDataWithEntity = {run = {foo = {}}}
    test(nil, saveDataWithEntity)
end
do
    local saveDataWithMap = {run = {foo = __TS__New(Map)}}
    test(nil, saveDataWithMap)
end
do
    local saveDataWithMap = {run = {foo = __TS__New(Map)}}
    test(nil, saveDataWithMap)
end
do
    local saveDataWithMap = {run = {foo = __TS__New(Map)}}
    test(nil, saveDataWithMap)
end
do
    local Foo = __TS__Class()
    Foo.name = "Foo"
    function Foo.prototype.____constructor(self)
        self.someField = 123
    end
    local saveDataWithClass = {run = {foo = __TS__New(Foo)}}
    test(nil, saveDataWithClass)
end
do
    local Foo = __TS__Class()
    Foo.name = "Foo"
    function Foo.prototype.____constructor(self)
        self.someField = 123
    end
    function Foo.prototype.someMethod(self)
    end
    local saveDataWithClassWithMethod = {run = {foo = __TS__New(Foo)}}
    test(nil, saveDataWithClassWithMethod)
end
do
    local Foo = __TS__Class()
    Foo.name = "Foo"
    function Foo.prototype.____constructor(self)
        self.someField = 123
    end
    local saveDataWithNestedClass = {run = {fooMap = __TS__New(Map)}}
    test(nil, saveDataWithNestedClass)
end
return ____exports
